# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
from __future__ import division, print_function, absolute_import

class IdModules(object):
    def __init__(self):
        self._registry = {}

    def register(self, name, get_ids):
        if name not in self._registry:
            self._registry[name] = get_ids

    def run(self):
        for name in self._registry:
            self._registry[name]()

get_ids = IdModules()


class Info(object):
    def __init__(self):
        self._registry = {}

    def __call__(self, movie_id, key):
        for name in self._registry:
            return self._registry[name](movie_id, key)
        return 0

    def register(self, name, get_info):
        if name not in self._registry:
            self._registry[name] = get_info

get_info = Info()

