# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
from __future__ import division, print_function, absolute_import

from datetime import timedelta, datetime

from celery.decorators import task, periodic_task

import poster.models

from . import models
from . import cache


@periodic_task(run_every=timedelta(days=1))
def cronjob(**kwargs):
    before_import = datetime.now()
    cache.get_ids()
    for p in poster.models.PosterCache.objects.filter(image='', failed=False, created__gt=before_import):
        p.get()

@task(ignore_resulsts=True, queue='default')
def updateImdb(id):
    movie_id = models.MovieId.objects.get(pk=id)
    movie_id.updateFromImdb()

