# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
import json
from optparse import make_option

from django.core.management.base import BaseCommand, CommandError
from django.conf import settings

from ...models import Imdb

class Command(BaseCommand):
    """
    load new ids into cache
    """
    help = 'load ids from sites that dont support search.'
    args = '<json patches>'

    def handle(self, *args, **options):
        for arg in args:
            with open(arg) as f:
                data = json.load(f)
                for id in data:
                    i, created = Imdb.objects.get_or_create(imdb=id)
                    i.patch = data[id]
                    i.update()
                    i.save()
                    print i
